---
document: modulemd
version: 2
data:
  name: ruby
  stream: "2.6"
  version: 8050020211216123442
  context: 9edba152
  arch: ppc64le
  summary: An interpreter of object-oriented scripting language
  description: >-
    Ruby is the interpreted scripting language for quick and easy object-oriented
    programming.  It has many features to process text files and to do system management
    tasks (as in Perl).  It is simple, straight-forward, and extensible.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://ruby-lang.org/
    documentation: https://www.ruby-lang.org/en/documentation/
    tracker: https://bugs.ruby-lang.org/
  profiles:
    common:
      rpms:
      - ruby
  api:
    rpms:
    - ruby
    - ruby-devel
    - ruby-libs
    - rubygem-abrt
    - rubygem-bigdecimal
    - rubygem-bson
    - rubygem-bundler
    - rubygem-did_you_mean
    - rubygem-io-console
    - rubygem-irb
    - rubygem-json
    - rubygem-minitest
    - rubygem-mongo
    - rubygem-mysql2
    - rubygem-net-telnet
    - rubygem-openssl
    - rubygem-pg
    - rubygem-power_assert
    - rubygem-psych
    - rubygem-rake
    - rubygem-rdoc
    - rubygem-test-unit
    - rubygem-xmlrpc
    - rubygems
    - rubygems-devel
  buildopts:
    rpms:
      macros: >
        %_without_rubypick 1
  components:
    rpms:
      ruby:
        rationale: An interpreter of object-oriented scripting language
        ref: ded486655b1b39cbe50ea7e0abc664f81398b044
        buildorder: 101
        arches: [ppc64le]
        multilib: [x86_64]
      rubygem-abrt:
        rationale: ABRT support for Ruby
        ref: 81546b10fa10d90af0fa295c7db662035baca8c2
        buildorder: 102
        arches: [ppc64le]
      rubygem-bson:
        rationale: Ruby Implementation of the BSON specification
        ref: feb68b889ec3d5444f95c7ac63561f0c3592aa40
        buildorder: 102
        arches: [ppc64le]
      rubygem-mongo:
        rationale: Ruby driver for MongoDB
        ref: 61b74387a4a23620e9432c1b6167ec3ec5a90f2f
        buildorder: 103
        arches: [ppc64le]
      rubygem-mysql2:
        rationale: A simple, fast Mysql library for Ruby, binding to libmysql
        ref: eefc8ee2a944918f7281909e843bbd8e1d31877e
        buildorder: 102
        arches: [ppc64le]
      rubygem-pg:
        rationale: A Ruby interface to the PostgreSQL RDBMS
        ref: 1e74628c9d20be546f386724dfa9af3299f94a13
        buildorder: 102
        arches: [ppc64le]
  artifacts:
    rpms:
    - ruby-0:2.6.7-107.module_el8.5.0+128+a9419b70.ppc64le
    - ruby-0:2.6.7-107.module_el8.5.0+128+a9419b70.src
    - ruby-debuginfo-0:2.6.7-107.module_el8.5.0+128+a9419b70.ppc64le
    - ruby-debugsource-0:2.6.7-107.module_el8.5.0+128+a9419b70.ppc64le
    - ruby-devel-0:2.6.7-107.module_el8.5.0+128+a9419b70.ppc64le
    - ruby-doc-0:2.6.7-107.module_el8.5.0+128+a9419b70.noarch
    - ruby-libs-0:2.6.7-107.module_el8.5.0+128+a9419b70.ppc64le
    - ruby-libs-debuginfo-0:2.6.7-107.module_el8.5.0+128+a9419b70.ppc64le
    - rubygem-abrt-0:0.3.0-4.module_el8.5.0+128+a9419b70.noarch
    - rubygem-abrt-0:0.3.0-4.module_el8.5.0+128+a9419b70.src
    - rubygem-abrt-doc-0:0.3.0-4.module_el8.5.0+128+a9419b70.noarch
    - rubygem-bigdecimal-0:1.4.1-107.module_el8.5.0+128+a9419b70.ppc64le
    - rubygem-bigdecimal-debuginfo-0:1.4.1-107.module_el8.5.0+128+a9419b70.ppc64le
    - rubygem-bson-0:4.5.0-1.module_el8.5.0+128+a9419b70.ppc64le
    - rubygem-bson-0:4.5.0-1.module_el8.5.0+128+a9419b70.src
    - rubygem-bson-debuginfo-0:4.5.0-1.module_el8.5.0+128+a9419b70.ppc64le
    - rubygem-bson-debugsource-0:4.5.0-1.module_el8.5.0+128+a9419b70.ppc64le
    - rubygem-bson-doc-0:4.5.0-1.module_el8.5.0+128+a9419b70.noarch
    - rubygem-bundler-0:1.17.2-107.module_el8.5.0+128+a9419b70.noarch
    - rubygem-did_you_mean-0:1.3.0-107.module_el8.5.0+128+a9419b70.noarch
    - rubygem-io-console-0:0.4.7-107.module_el8.5.0+128+a9419b70.ppc64le
    - rubygem-io-console-debuginfo-0:0.4.7-107.module_el8.5.0+128+a9419b70.ppc64le
    - rubygem-irb-0:1.0.0-107.module_el8.5.0+128+a9419b70.noarch
    - rubygem-json-0:2.1.0-107.module_el8.5.0+128+a9419b70.ppc64le
    - rubygem-json-debuginfo-0:2.1.0-107.module_el8.5.0+128+a9419b70.ppc64le
    - rubygem-minitest-0:5.11.3-107.module_el8.5.0+128+a9419b70.noarch
    - rubygem-mongo-0:2.8.0-1.module_el8.5.0+128+a9419b70.noarch
    - rubygem-mongo-0:2.8.0-1.module_el8.5.0+128+a9419b70.src
    - rubygem-mongo-doc-0:2.8.0-1.module_el8.5.0+128+a9419b70.noarch
    - rubygem-mysql2-0:0.5.2-1.module_el8.5.0+128+a9419b70.ppc64le
    - rubygem-mysql2-0:0.5.2-1.module_el8.5.0+128+a9419b70.src
    - rubygem-mysql2-debuginfo-0:0.5.2-1.module_el8.5.0+128+a9419b70.ppc64le
    - rubygem-mysql2-debugsource-0:0.5.2-1.module_el8.5.0+128+a9419b70.ppc64le
    - rubygem-mysql2-doc-0:0.5.2-1.module_el8.5.0+128+a9419b70.noarch
    - rubygem-net-telnet-0:0.2.0-107.module_el8.5.0+128+a9419b70.noarch
    - rubygem-openssl-0:2.1.2-107.module_el8.5.0+128+a9419b70.ppc64le
    - rubygem-openssl-debuginfo-0:2.1.2-107.module_el8.5.0+128+a9419b70.ppc64le
    - rubygem-pg-0:1.1.4-1.module_el8.5.0+128+a9419b70.ppc64le
    - rubygem-pg-0:1.1.4-1.module_el8.5.0+128+a9419b70.src
    - rubygem-pg-debuginfo-0:1.1.4-1.module_el8.5.0+128+a9419b70.ppc64le
    - rubygem-pg-debugsource-0:1.1.4-1.module_el8.5.0+128+a9419b70.ppc64le
    - rubygem-pg-doc-0:1.1.4-1.module_el8.5.0+128+a9419b70.noarch
    - rubygem-power_assert-0:1.1.3-107.module_el8.5.0+128+a9419b70.noarch
    - rubygem-psych-0:3.1.0-107.module_el8.5.0+128+a9419b70.ppc64le
    - rubygem-psych-debuginfo-0:3.1.0-107.module_el8.5.0+128+a9419b70.ppc64le
    - rubygem-rake-0:12.3.3-107.module_el8.5.0+128+a9419b70.noarch
    - rubygem-rdoc-0:6.1.2-107.module_el8.5.0+128+a9419b70.noarch
    - rubygem-test-unit-0:3.2.9-107.module_el8.5.0+128+a9419b70.noarch
    - rubygem-xmlrpc-0:0.3.0-107.module_el8.5.0+128+a9419b70.noarch
    - rubygems-0:3.0.3.1-107.module_el8.5.0+128+a9419b70.noarch
    - rubygems-devel-0:3.0.3.1-107.module_el8.5.0+128+a9419b70.noarch
...
